route_info_grid:
  label: Route Info Grid
  namespace: Organisms/TM - Routes
  use: '@organisms/tm-routes/route-info-grid/route-info-grid.html.twig'
  description: Route Info Grid
  libraries:
    - route_info_grid_lib:
        css:
          component:
            ../styles/route-info-grid.css: {}

  fields:
    items:
      type: object
      label: Items
      description: Origin station
      preview:
        - icon: fa-stopwatch
          key: fastest_train
          label: Our fastest train
          value: 20m
        - icon: fa-sun
          key: first_train
          label: First train
          value: 06:02
        - icon: fa-moon
          key: last_train
          label: Last train
          value: 23:32
        - icon: fa-arrow-alt-to-right
          key: changes
          label: Number of changes
          value: Direct
        - icon: fa-train
          key: trains_per_day
          label: Trains per day
          value: Around 36
        - key: prices_from
    price_text:
      type: text
      label: Price text
      description: Text saying if the price is for advance or not
      preview: Prices from
    price:
      type: text
      label: Price
      description: Price
      preview: '2.90'
    journey_type_text:
      type: text
      label: Type of journey
      description: e.g. 'One-way' or 'Each-way'
      preview: one-way
    return_fare_text:
      type: text
      label: Return fare text
      description: Return fare text
      preview:  ''
    button_text:
      type: text
      label: Buy tickets button text
      description: Buy tickets button text
      preview: Book
    button_status:
      type: text
      label: Button status
      preview: default
    origin_crs:
      type: text
      label: Origin CRS
      description: Origin CRS
      preview: CBG
    destination_crs:
      type: text
      label: Destination CRS
      description: Destination CRS
      preview: NRW

